## uclibc 0.9.26-3.1

=== debian/changelog ===
uclibc (0.9.26-3.1) unstable; urgency=low

  * NMU during BSP
  * Really, really fix build on all architectures (Closes: #235014)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 26 Mar 2004 15:51:33 +0100

uclibc (0.9.26-3) unstable; urgency=low

  * No, really.  Fix sparc compile problems (Closes: #235014)

 -- David Schleef <ds@schleef.org>  Tue, 02 Mar 2004 17:39:58 -0800

uclibc (0.9.26-2) unstable; urgency=low

  * Fix sparc compile problems (Closes: #235014)

 -- David Schleef <ds@schleef.org>  Thu, 26 Feb 2004 17:26:29 -0800

uclibc (0.9.26-1) unstable; urgency=low

  * New upstream release(s).  (Closes: #225507)
  * Add typedefs for __kernel_old_dev_t.  (Closes: #234374)

 -- David Schleef <ds@schleef.org>  Wed, 25 Feb 2004 14:47:53 -0800

uclibc (0.9.23-1) unstable; urgency=low

  * New upstream release.  Should fix build problems on m68k
    (Closes: #217761).
  * Change installation directory to /usr/$(arch)-uclibc-linux
    instead of -linux-uclibc.  This makes it easier to build
    toolchains with these packages.
  * The gcc wrapper has been removed upstream, but it's been
    copied locally until a transition is decided.  It is likely
    that uclibc-toolchain will be removed in the next upload.

 -- David Schleef <ds@schleef.org>  Wed, 12 Nov 2003 15:41:06 -0800

uclibc (0.9.21-2) unstable; urgency=low

  * enable a bunch of new options.
  * print the config file after 'make config'.  This should help
    debugging m68k build failures if the first change doesn't
    fix it.

 -- David Schleef <ds@schleef.org>  Thu, 02 Oct 2003 15:07:27 -0700

uclibc (0.9.21-1) unstable; urgency=low

  * New upstream version.
  * Added text to README.Debian about how to use uclibc-toolchain.
  * Switch to using kernel-source-2.4.22
  * Upgrade standards version to 3.6.1
  * extra/scripts/fix_includes.sh: requires /bin/bash

 -- David Schleef <ds@schleef.org>  Thu, 18 Sep 2003 10:07:46 -0700

uclibc (0.9.20-2) unstable; urgency=low

  * Turn off UCLIBC_PROFILING because it's causing build problems on
    arm.

 -- David Schleef <ds@schleef.org>  Wed, 02 Jul 2003 19:12:36 -0700

uclibc (0.9.20-1) unstable; urgency=low

  * New upstream release.

 -- David Schleef <ds@schleef.org>  Tue, 01 Jul 2003 12:16:31 -0700

uclibc (0.9.19-1) unstable; urgency=low

  * New upstream version.
  * Disable ctor/dtor in gcc wrapper, which effectively disables
    C++ support in the wrapper.  Shouldn't be a big problem, since
    there are other problems with using the wrapper with C++.  Erik
    recommends building a complete toolchain. (Closes: #181783).

 -- David Schleef <ds@schleef.org>  Mon, 03 Mar 2003 12:13:47 -0800

uclibc (0.9.18-1) unstable; urgency=low

  * New upstream release
  * Update to kernel-source-2.4.20
  * Upgrade .shlib dependencies
  * Enable IPv6 and other options (Closes: #174092)
  * Remove build directory from ld script (Closes: #161474)
  * Add/fix /lib/ld-uClibc.so.0 symlink

 -- David Schleef <ds@schleef.org>  Wed, 12 Feb 2003 12:40:38 -0800

uclibc (0.9.16-6) unstable; urgency=low

  * Reenable FPU and C99 math support that were accidentally
    disabled in the move to 0.9.16. (Closes: #171359, #172686)
  * Fix ${arch}-uclibc-xx installation directory (should be /usr/bin)
  * Make ldd work with dh_shlibdeps (Closes: #171282, #171287)

 -- David Schleef <ds@schleef.org>  Wed, 11 Dec 2002 15:55:52 -0800

uclibc (0.9.16-5) unstable; urgency=low

  * (Attempt #2) Removed some default flags on sparc.

 -- David Schleef <ds@schleef.org>  Wed, 27 Nov 2002 13:56:39 -0800

uclibc (0.9.16-4) unstable; urgency=low

  * Removed some default flags on m68k and sparc, since they don't
    work with the standard gcc.
  * Stripped quotes around ARCH_CFLAGS

 -- David Schleef <ds@schleef.org>  Fri, 22 Nov 2002 15:15:25 -0800

uclibc (0.9.16-3) unstable; urgency=low

  * Got the last change wrong.
  * Enabled alpha build.

 -- David Schleef <ds@schleef.org>  Thu, 21 Nov 2002 16:24:27 -0800

uclibc (0.9.16-2) unstable; urgency=low

  * Disable shared lib loader on m68k and sparc

 -- David Schleef <ds@schleef.org>  Wed, 20 Nov 2002 19:45:31 -0800

uclibc (0.9.16-1) unstable; urgency=low

  * New upstream release (Closes: #169650, #169547)
  * Rewrote much of the installation code to use dh_ more
  * Removed gasp man page link (Closes: #169648)
  * Upstream uses new configuration method (Closes: #169513)

 -- David Schleef <ds@schleef.org>  Mon, 18 Nov 2002 11:32:43 -0800

uclibc (0.9.12-2) unstable; urgency=low

  * Make sure MAS_MMU=true on m68k

 -- David Schleef <ds@schleef.org>  Thu, 27 Jun 2002 15:04:59 -0700

uclibc (0.9.12-1) unstable; urgency=low

  * New upstream release.
  * Attempt to fix MIPS build again. (Closes: #150313)

 -- David Schleef <ds@schleef.org>  Mon, 24 Jun 2002 16:26:18 -0700

uclibc (0.9.11-cvs20020619-1) unstable; urgency=low

  * This is an automatic snapshot of uClibc CVS
  * new snapshot
  * MIPS build should have been fixed in the last entry, which
    was not actually uploaded (Closes: #150313).

 -- David Schleef <ds@schleef.org>  Wed, 19 Jun 2002 11:45:59 -0700

uclibc (0.9.11-cvs20020420-1) unstable; urgency=low

  * Many of the configs have broken CROSS definitions.  Compensate
    for that in debian/rules.

 -- David Schleef <ds@schleef.org>  Sat, 20 Apr 2002 15:40:39 -0700

uclibc (0.9.11-cvs20020419-1) unstable; urgency=low

  * new upstream snapshot
    - should fix build on sparc and m68kk (Closes: #142708)
  * I wanted to have a debian package for the 0.9.11 release, but
    that was rather broken on PowerPC.
  * Updated kernel source to 2.4.18

 -- David Schleef <ds@schleef.org>  Fri, 19 Apr 2002 10:15:59 -0700

uclibc (0.9.10-cvs20020406-1) unstable; urgency=low

  * new upstream snapshot
    - should fix build on mips
  * updated shlibs to 0.9.10, since it was broken previously (actually
    was done in previous upload)
  * create top-level lib/, for safety

 -- David Schleef <ds@schleef.org>  Sat,  6 Apr 2002 14:34:41 -0800


