## uclibc 0.9.30.1

=== debian/changelog ===
uclibc (0.9.30.1-1) unstable; urgency=low

  * Redo the packaging, again.
  * Only build uclibc-source package on Debian arches for now

 -- Simon Richter <sjr@debian.org>  Mon,  7 Dec 2009 18:13:57 +0100

uclibc (0.9.30-1) unstable; urgency=low

  * New upstream version
  * Use linux-libc-dev package instead of linux-source
  * Build 32/64 bit and multilib variants

 -- Simon Richter <sjr@debian.org>  Sun, 23 Nov 2008 18:59:25 +0100

uclibc (0.9.28.3-1) unstable; urgency=low

  * New upstream version
  * Repackaged from the ground up
    + Now supports cross compilation
    + Probably lots of bugs introduced

 -- Simon Richter <sjr@debian.org>  Thu, 11 Oct 2007 17:43:50 +0200

uclibc (0.9.27-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU (Closes: #268989) and fix the bug it caused
    (Closes: #284326)
  * Add gross versioned dependency for gcc-3.3, and make sure we use
    gcc-3.3 in the gcc wrapper. (Closes: #304806)

 -- David Schleef <ds@schleef.org>  Mon, 18 Apr 2005 13:29:53 -0700

uclibc (0.9.26-cvs20040816-5.1) unstable; urgency=high

  * Non-Maintainer Upload.
  * Add libuclibc-dev to uclibc-toolchain's Depends:. (Closes: #268989)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 14 Sep 2004 01:23:12 +0200

uclibc (0.9.26-cvs20040816-5) unstable; urgency=low

  * debian/rules: fix up headers from linux-kernel-headers, since
    they contain conflicting definitions.

 -- David Schleef <ds@schleef.org>  Wed, 25 Aug 2004 01:26:31 -0600

uclibc (0.9.26-cvs20040816-4) unstable; urgency=low

  * libc/sysdeps/linux/arm/bits/kernel_types.h: Add hack for
    __kernel_dev_t typedef conflict with /usr/include headers.
  * libc/sysdeps/linux/common/madvise.c: pull patch from HEAD to
    make use of __NR_madvise conditional on its definition.
  * debian/rules: prefix should be DEB_HOST_GNU_CPU instead of
    TARGET_ARCH
  * debian/gcc-uClibc/Makefile: likewise

 -- David Schleef <ds@schleef.org>  Mon, 23 Aug 2004 14:05:48 -0700

uclibc (0.9.26-cvs20040816-3) unstable; urgency=low
  
  * extra/Configs/Config.m68k: remove inclusion of kernel source
    directory, since no other architecture does this and it causes
    problems if our kernel source dir is /usr/include
  * extra/Configs/Config.mipsel: use TARGET_ARCH=mips
  * debian/rules: don't set TARGET_ARCH, since it's set correctly
    in the config file.

 -- David Schleef <ds@schleef.org>  Thu, 19 Aug 2004 15:56:26 -0700

uclibc (0.9.26-cvs20040816-2) unstable; urgency=low

  * Revert typedefs for __kernel_old_dev_t, since it's in upstream
    now.

 -- David Schleef <ds@schleef.org>  Wed, 18 Aug 2004 13:34:14 -0700

uclibc (0.9.26-cvs20040816-1) unstable; urgency=low

  * Update to recent CVS snapshot on the advice of upstream.

 -- David Schleef <ds@schleef.org>  Mon, 16 Aug 2004 19:35:42 -0700

uclibc (0.9.26-5) unstable; urgency=low

  * README.Debian: fix mistake in name of compiler. (Closes: #264163)
  * Use linux-kernel-headers instead of untarring the kernel source.
    This should fix FTBTS problems that were caused by the kernel
    upgrade. (Closes: #261318)
  * Fix extra /'s in directories (Closes: #244704)
  * Add mips 2.6 support patch from Thiemo Seufer

 -- David Schleef <ds@schleef.org>  Mon, 16 Aug 2004 12:38:12 -0700

uclibc (0.9.26-4) unstable; urgency=low

  * Bump kernel-source build dep to 2.4.26 (Closes: #253528)

 -- David Schleef <ds@schleef.org>  Mon, 12 Jul 2004 16:58:57 -0700
